shader_type spatial;
render_mode blend_mix,depth_draw_opaque,cull_back,diffuse_burley,specular_schlick_ggx,unshaded;


void vertex() {
    
}

vec4 mainImage( in vec2 fragCoord , vec2 iResolution)
{
    vec2 st = fragCoord.xy/iResolution.xy;
    float ratio = iResolution.x/iResolution.y;
    st.x *= ratio;
    float time = 1.+max(0.,min(0.,st.x));
    vec3 color = vec3(0.0);
    float rows = 30.0;
    vec2 ipos = floor(st*rows);
    vec2 fpos = fract(st*rows);

    float pct = 1.0;
    vec2 v=mod(fpos,vec2(9.));
    pct *=v.x*v.y;

    //BUG

    if ((ipos.y > 0.0)||(ipos.x < fract(time))) {
        color = vec3(pct);
    }


    //FIX
/*
    if (ipos.y > 0.0) {
        color = vec3(pct);
    }
    if (ipos.x < fract(time)) {
        color = vec3(pct);
    }
*/
    return vec4(1.-color , 1.0);
}

void fragment() {
    
    vec4 c=vec4(0.);
    c=mainImage(UV*512., vec2(512.));
    ALBEDO = c.rgb;
}
